--- /usr/share/pkgconfig/systemd.pc	2024-04-18 18:00:00.000000000 +0400
+++ /home/sin/hasher/chroot/usr/share/pkgconfig/systemd.pc	2024-05-23 11:40:06.000000000 +0400
@@ -11,19 +11,24 @@
 # considered deprecated (though there is no plan to remove them). New names
 # shall have underscores.
 
-prefix=/usr
-root_prefix=
+# root_prefix and rootprefix are deprecated since we dropped support for split-usr
+# however we used to install units in root_prefix and a lot of downstream software
+# overrode this variable in their build system to support installing units elsewhere.
+# To stop those builds from silently breaking we keep root_prefix around but have
+# it as an alias for prefix
+root_prefix=/usr
 rootprefix=${root_prefix}
+prefix=${rootprefix}
 sysconf_dir=/etc
 sysconfdir=${sysconf_dir}
 
-systemd_util_dir=${root_prefix}/lib/systemd
+systemd_util_dir=${prefix}/lib/systemd
 systemdutildir=${systemd_util_dir}
 
-systemd_system_unit_dir=${rootprefix}/lib/systemd/system
+systemd_system_unit_dir=${prefix}/lib/systemd/system
 systemdsystemunitdir=${systemd_system_unit_dir}
 
-systemd_system_preset_dir=${rootprefix}/lib/systemd/system-preset
+systemd_system_preset_dir=${prefix}/lib/systemd/system-preset
 systemdsystempresetdir=${systemd_system_preset_dir}
 
 systemd_user_unit_dir=${prefix}/lib/systemd/user
@@ -44,7 +49,7 @@
 systemd_user_unit_path=${systemd_user_conf_dir}:/etc/systemd/user:/run/systemd/user:/usr/local/lib/systemd/user:/usr/local/share/systemd/user:${systemd_user_unit_dir}:/usr/lib/systemd/user:/usr/share/systemd/user
 systemduserunitpath=${systemd_user_unit_path}
 
-systemd_system_generator_dir=${root_prefix}/lib/systemd/system-generators
+systemd_system_generator_dir=${prefix}/lib/systemd/system-generators
 systemdsystemgeneratordir=${systemd_system_generator_dir}
 
 systemd_user_generator_dir=${prefix}/lib/systemd/user-generators
@@ -56,27 +61,27 @@
 systemd_user_generator_path=/run/systemd/user-generators:/etc/systemd/user-generators:/usr/local/lib/systemd/user-generators:${systemd_user_generator_dir}
 systemdusergeneratorpath=${systemd_user_generator_path}
 
-systemd_sleep_dir=${root_prefix}/lib/systemd/system-sleep
+systemd_sleep_dir=${prefix}/lib/systemd/system-sleep
 systemdsleepdir=${systemd_sleep_dir}
 
-systemd_shutdown_dir=${root_prefix}/lib/systemd/system-shutdown
+systemd_shutdown_dir=${prefix}/lib/systemd/system-shutdown
 systemdshutdowndir=${systemd_shutdown_dir}
 
-tmpfiles_dir=${rootprefix}/lib/tmpfiles.d
+tmpfiles_dir=${prefix}/lib/tmpfiles.d
 tmpfilesdir=${tmpfiles_dir}
 
 user_tmpfiles_dir=${prefix}/share/user-tmpfiles.d
 
-sysusers_dir=${rootprefix}/lib/sysusers.d
+sysusers_dir=${prefix}/lib/sysusers.d
 sysusersdir=${sysusers_dir}
 
-sysctl_dir=${rootprefix}/lib/sysctl.d
+sysctl_dir=${prefix}/lib/sysctl.d
 sysctldir=${sysctl_dir}
 
-binfmt_dir=${rootprefix}/lib/binfmt.d
+binfmt_dir=${prefix}/lib/binfmt.d
 binfmtdir=${binfmt_dir}
 
-modules_load_dir=${rootprefix}/lib/modules-load.d
+modules_load_dir=${prefix}/lib/modules-load.d
 modulesloaddir=${modules_load_dir}
 
 catalog_dir=${prefix}/lib/systemd/catalog
@@ -100,4 +105,4 @@
 Name: systemd
 Description: systemd System and Service Manager
 URL: https://systemd.io/
-Version: 254
+Version: 255
